/* 
 *  ENTER emulator (c) Copyright, Kevin Thacker 1999-2001
 *  
 *  This file is part of the ENTER emulator source code distribution.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#include <windows.h>
#include <commctrl.h>
#include "mylistvw.h"

/* add a item to a specific row and column */
void	MyListView_AddItem(HWND hListView, char *ItemText, int ColumnIndex, int RowIndex) 
{
	LV_ITEM	ListViewItem;

	ListViewItem.mask = LVIF_TEXT;
	ListViewItem.iItem = RowIndex;	//ColumnIndex;
	ListViewItem.iSubItem = ColumnIndex;	//RowIndex;
	ListViewItem.state = 0;
	ListViewItem.stateMask = 0; 


	ListViewItem.pszText = ItemText;
	
	ListViewItem.cchTextMax = 0;
	ListViewItem.iImage = 0;
	ListViewItem.lParam = 0;

	ListView_InsertItem(hListView, &ListViewItem);
}

/* add a column to a list view control */
void	MyListView_AddColumn(HWND hListView, char *ColumnTitle, int ColumnIndex)
{
	LV_COLUMN	ListViewColumn;

	ListViewColumn.mask = LVCF_TEXT;
	ListViewColumn.cx = 0;
	ListViewColumn.pszText = ColumnTitle;
	ListViewColumn.cchTextMax = 0;
	ListViewColumn.iSubItem = 0;

	ListView_InsertColumn(hListView, ColumnIndex, &ListViewColumn);
}

